### Function

# Camel NameValueArray new

since: 3.24

#### Declaration [src]

    CamelNameValueArray*
    camel_name_value_array_new (
      void
    )

#### Description [src]

Creates a new `CamelNameValueArray`. The returned pointer should be freed with `camel_name_value_array_free()` when no longer needed.

Available since: 3.24

#### Return value

Type: `CamelNameValueArray`

A new `CamelNameValueArray`.

See: camel_name_value_array_new_sized, camel_name_value_array_copy.

The caller of the function takes ownership of the data, and is responsible for freeing it.